.popup.content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    z-index: 99999;


    width: 100vw;
    height: 100vh;

    backdrop-filter: blur(4px) saturate(60%);
    -webkit-backdrop-filter: blur(18px) saturate(60%);
    
    background-color: color-mix(in srgb, black 50%, transparent);
}

.popup.content {
    display: flex;
    flex-direction: column;
    gap: 24px;

    background-color: var(--sectionBackground);
    min-width: 256px;
    padding: 24px;
    border-radius: 24px;
    text-align: center;

    color: var(--toolbarText);
    background: var(--toolbarButtonBackground);

    backdrop-filter: blur(10px) saturate(180%);
    -webkit-backdrop-filter: blur(24px) saturate(180%);

    box-shadow:
        inset 0 1px 0 rgba(255, 255, 255, 0.32),
        inset 0 -10px 10px rgba(255, 255, 255, 0.08),
        0 6px 30px rgba(0, 0, 0, 0.1);

    transition:
        background-color var(--primaryInteraction),
        color var(--primaryInteraction),
        transform var(--primaryInteraction);

}

.popup.content::before {
    content: "";
    position: absolute;
    inset: 0;
    padding: var(--toolbarButtonBorderWidth);
    border-radius: inherit;
    pointer-events: none;

    background: var(--toolbarButtonBorder);

    -webkit-mask:
        linear-gradient(#000 0 0) content-box,
        linear-gradient(#000 0 0);

    -webkit-mask-composite: xor;
    mask-composite: exclude;
}

.popup.content .title-wrapper {
    display: flex;
    flex-direction: column;
    gap: 6px;
    width: 100%;
    max-width: 256px;
}

.popup.content .title {
    font-size: 24px;
    font-weight: 700;
}

.popup.content .action-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 6px;
}